Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.evaluation
Class PlayerExercise

    java.lang.Object
      mauda.SimpleExercise
          mauda.Exercise
              mauda.evaluation.PlayerExercise

All Implemented Interfaces:
  ExerciseUpdateListener

    public class PlayerExercise

extends Exercise
implements ExerciseUpdateListener

Extends Exercise by player-specific methods.

Author:
  Markus Krebs

Field Summary
`OperationPlayerThread` | `operationPlayerThread` Comment for `operationPlayerThread`.

Fields inherited from class mauda.Exercise
`BOTHOPERATION, compPanel, controlPanel, interactive, jedasPanel, NOPOPUP, OPERATION, opsToAnimate, quickAnim, scheduler, SUBOPERATION`

Fields inherited from class mauda.SimpleExercise
`availableOperations, availableSubOperations, operationExecuter`

Constructor Summary
`PlayerExercise(java.lang.String type)` Creates a new PlayerExercise

Method Summary
`void` | `animate()` Starts the jedas-animation.
`void` | `commit(SimpleOperation so)` Adds an operation to the animation-queue
`void` | `commit(java.util.Vector v)` Adds several operations/exercise-update-events to the animation-operations that the JedasPanel should execute
`void` | `exerciseUpdate(ExerciseUpdateEvent e)` Invoked when an Event occures
`CommentView` | `getCommentView()` Returns the used CommentView
`JedasPlayer` | `getJedasPlayer()` Returns the current JedasPlayer-Instance
`TimeStampRecorder` | `getTimeStampRecorder()` Returns the used TimeStampRecorder
`TreeOperationView` | `getTreeOperationView()` Returns the used TreeOperationView
`boolean` | `isPlaying()` Returns the state of the player.
`boolean` | `loadEvaluated(java.util.HashMap ht)` Loads an exercise that was completely evaluated by a tutor.
`void` | `performAction(java.lang.Object obj)` Performs an operation or event
`void` | `stopPlaying()` This methods stops the jedas-animation immediatly after the operation that is currently executed.

Methods inherited from class mauda.Exercise
`actionsAllowed, addFullLoadedMessage, back, commit, commit, commitInteractive, forward, getInteractiveMode, getUndoRedo, isModified, isReadyToSave, jumpToBeginning, jumpToEnd, load, redo, reset, save, setActionsAllowed, setDifficulty, setInteractiveMode, setMode, setModified, setQuickAnim, switchTo, undo`

Methods inherited from class mauda.SimpleExercise
`addExerciseUpdateListener, addExerciseUpdateListenerFirst, getAvailableOperations, getAvailableSubOperations, getDataDirectory, getDefaultFilename, getDifficulty, getDSObject, getFilename, getMetaData, getMode, getOperationExecuter, getOperationRecorder, getPlugInHandler, init, load, loadConfig, operationExecuted, removeExerciseUpdateListener, sendExerciseUpdateMessages, setAvailableOperations, setAvailableSubOperations, setDataDirectory, setDefaultFilename, setDSObject, setFilename, setMetaData, setOperationExecuter, setPlugInHandler, updateMetaDataInitTodoRating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operationPlayerThread

    public OperationPlayerThread operationPlayerThread

  Comment for `operationPlayerThread`. Thread that performs actions (SimpleOperation or ExerciseUpdateEvent).

Constructor Detail

### PlayerExercise

    public PlayerExercise(java.lang.String type)

  Creates a new PlayerExercise

  Parameters:
    `type` - The plugin-type, e.g. FibHeap

Method Detail

### getTreeOperationView

    public TreeOperationView getTreeOperationView()

  Returns the used TreeOperationView

  Returns:
    TreeOperationView

### getCommentView

    public CommentView getCommentView()

  Returns the used CommentView

  Returns:
    CommentView

### getTimeStampRecorder

    public TimeStampRecorder getTimeStampRecorder()

  Returns the used TimeStampRecorder

  Returns:
    TimeStampRecorder

### loadEvaluated

    public boolean loadEvaluated(java.util.HashMap ht)

  Loads an exercise that was completely evaluated by a tutor.

  Parameters:
    `ht` - The Hash-Map-Representation of the exercise.
  Returns:
    true, if loading was successful, else false

### getJedasPlayer

    public JedasPlayer getJedasPlayer()

  Returns the current JedasPlayer-Instance

  Returns:
    JedasPlayer

### commit

    public void commit(SimpleOperation so)

  Description copied from class: `Exercise`
  Adds an operation to the animation-queue

  Overrides:
    `commit` in class `Exercise`
  Parameters:
    `so` - SimpleOperation

### commit

    public void commit(java.util.Vector v)

  Description copied from class: `Exercise`
  Adds several operations/exercise-update-events to the animation-operations that the JedasPanel should execute

  Overrides:
    `commit` in class `Exercise`
  Parameters:
    `v` - Vector of operations and/or ExerciseUpdateEvents

### stopPlaying

    public void stopPlaying()

  Description copied from class: `Exercise`
  This methods stops the jedas-animation immediatly after the operation that is currently executed.

  Overrides:
    `stopPlaying` in class `Exercise`

### isPlaying

    public boolean isPlaying()

  Returns the state of the player.

  Returns:
    true if the current exercise is playing else false

### animate

    public void animate()

  Description copied from class: `Exercise`
  Starts the jedas-animation. This means that the operations in the animation-queue are executed in the JedasPanel.

  Overrides:
    `animate` in class `Exercise`

### performAction

    public void performAction(java.lang.Object obj)

  Performs an operation or event

  Parameters:
    `obj` - SimpleOperation or ExerciseUpdateEvent

### exerciseUpdate

    public void exerciseUpdate(ExerciseUpdateEvent e)

  Description copied from interface: `ExerciseUpdateListener`
  Invoked when an Event occures

  Specified by:
    `exerciseUpdate` in interface `ExerciseUpdateListener`
  Parameters:
    `e` - The event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD